Bug 221913 - net-p2p/go-ethereum won't build on systems with tmp is mounted noexec
Summary: net-p2p/go-ethereum won't build on systems with tmp is mounted noexec
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Many People
Assignee: Thomas Zander
URL:
Keywords: easy, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2017-08-29 15:53 UTC by Peter Zuidema
Modified: 2017-10-14 13:46 UTC (History)
2 users (show)

See Also:
me: maintainer-feedback+
riggs: merge-quarterly+
antoine: exp-run-


Attachments
Set TMPDIR as work directory (318 bytes, patch)
2017-08-30 07:36 UTC, Enrique Fynn
me: maintainer-approval+
Details | Diff
TMPDIR as work directory, to version 1.7.1, change email (1.12 KB, patch)
2017-10-04 09:28 UTC, Enrique Fynn
me: maintainer-approval+
Details | Diff
TMPDIR as work directory, to version 1.7.1, change email (1.12 KB, patch)
2017-10-04 09:32 UTC, Enrique Fynn
me: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Zuidema 2017-08-29 15:53:16 UTC
Due to an issue with golang, ethereum won't build on systems with the tmp is mounted with noexec. Here is the bug for golang on github https://github.com/golang/go/issues/8451

For FreeBSD we could set TMPDIR to be in the work directory so it will build.
Comment 1 Enrique Fynn 2017-08-30 07:36:21 UTC
Created attachment 185911 [details]
Set TMPDIR as work directory

Thanks for the report!
The attached patch now makes it work when /tmp is mounted with noexec
E. Fynn.
Comment 2 Enrique Fynn 2017-10-04 09:28:06 UTC
Created attachment 186901 [details]
TMPDIR as work directory, to version 1.7.1, change email
Comment 3 Enrique Fynn 2017-10-04 09:32:16 UTC
Created attachment 186902 [details]
TMPDIR as work directory, to version 1.7.1, change email

TMPDIR as work directory, to version 1.7.1, change email
Comment 4 commit-hook freebsd_committer 2017-10-08 11:31:10 UTC
A commit references this bug:

Author: riggs
Date: Sun Oct  8 11:29:52 UTC 2017
New revision: 451519
URL: https://svnweb.freebsd.org/changeset/ports/451519

Log:
  Update to upstream version 1.7.1, build fix with /tmp mounted noexec

  Details:
  - Update to upstream version 1.7.1
  - go puts temporary build artefacts into TMPDIR. This caused build issues
    when the port is built on a system where /tmp is mounted noexec.
    Now the port uses TMPDIR=WRKDIR
  - Update maintainer's e-mail address to me@enriquefynn.com

  PR:		221913
  Submitted by:	peter@icebear.net, enriquefynn@gmail.com (maintainer)
  MFH:		2017Q4

Changes:
  head/net-p2p/go-ethereum/Makefile
  head/net-p2p/go-ethereum/distinfo
Comment 5 Thomas Zander freebsd_committer 2017-10-09 06:08:30 UTC
The exp-run flag was set by mistake.
Setting the merge-quarterly flag was the intention.
Comment 6 commit-hook freebsd_committer 2017-10-10 05:11:14 UTC
A commit references this bug:

Author: riggs
Date: Tue Oct 10 05:10:38 UTC 2017
New revision: 451654
URL: https://svnweb.freebsd.org/changeset/ports/451654

Log:
  MFH: r451519

  Update to upstream version 1.7.1, build fix with /tmp mounted noexec

  Details:
  - Update to upstream version 1.7.1
  - go puts temporary build artefacts into TMPDIR. This caused build issues
    when the port is built on a system where /tmp is mounted noexec.
    Now the port uses TMPDIR=WRKDIR
  - Update maintainer's e-mail address to me@enriquefynn.com

  PR:		221913
  Submitted by:	peter@icebear.net, enriquefynn@gmail.com (maintainer)

  Approved by:	portmgr (swills)

Changes:
_U  branches/2017Q4/
  branches/2017Q4/net-p2p/go-ethereum/Makefile
  branches/2017Q4/net-p2p/go-ethereum/distinfo